Bug 8533 - возможность выбора romfs или ext2 параметром
: возможность выбора romfs или ext2 параметром
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-21 13:16 by
Modified: 2006-12-26 23:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-21 13:16:56
Хорошо бы иметь такую возможность для использования в lvm on root и без
lvmcreate_initrd. Или даже объединить mkinitrd и lvmcreate_initrd.
------- Comment #1 From 2006-09-25 11:45:22 -------
Также тут были соображения, а стоит ли genromfs свеч... майнстрим пополз на
initramfs в любом случае, много где (sandman, mkcdrec, systemimager) ожидается
ext2 в ядре и дописывать romfs получается с разной степенью головняка. 
Особенно
если хотят потом туда писать.
------- Comment #2 From 2006-12-17 01:24:37 -------
За последний месяц начал понимать, что даже лучше что-то rw по умолчанию.
------- Comment #3 From 2006-12-26 22:12:47 -------
Fixed in mkinitrd 2.9.10-alt1: added --type={romfs|ext2} option.
------- Comment #4 From 2006-12-26 23:41:02 -------
Урра!!

(бишь можно будет в /etc/sysconfig/installkernel при помощи
MKINITRD_OPTIONS="--type=ext2" прибить при надобности)